[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / ExtractMethodMixin

# Class: ExtractMethodMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:8](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts#L8)

## Extends

- [`ExtractMethodsMixin`](ExtractMethodsMixin.md)

## Extended by

- [`ExtractOptionsMethodMixin`](ExtractOptionsMethodMixin.md)
- [`ExtractResolveMethodMixin`](ExtractResolveMethodMixin.md)

## Constructors

### new ExtractMethodMixin()

> **new ExtractMethodMixin**(): [`ExtractMethodMixin`](ExtractMethodMixin.md)

#### Returns

[`ExtractMethodMixin`](ExtractMethodMixin.md)

#### Inherited from

[`ExtractMethodsMixin`](ExtractMethodsMixin.md).[`constructor`](ExtractMethodsMixin.md#constructors)

## Properties

### injector

> `protected` **injector**: `Injector`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts#L14)

## Methods

### extractMethod()

> **extractMethod**(`formDefinition`, `controlId`, `name`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts#L16)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

##### name

`string`

#### Returns

`Method`\<`any`, `any`\>

***

### extractMethods()

> `protected` **extractMethods**(`formDefinition`, `controlId`): `Map`\<`string`, [`UseMethodDefinition`](../interfaces/UseMethodDefinition.md)\<`unknown`, `unknown`, [`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`unknown`, `unknown`, `any`, `any`\>\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L43)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseMethodDefinition`](../interfaces/UseMethodDefinition.md)\<`unknown`, `unknown`, [`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`unknown`, `unknown`, `any`, `any`\>\>\>

#### Inherited from

[`ExtractMethodsMixin`](ExtractMethodsMixin.md).[`extractMethods`](ExtractMethodsMixin.md#extractmethods)
